package com.lightinit.hsdataportal.model;

import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

public class APIDemandOpenListModel {

    private Long id ;

    private String rqrmntSummary ;

    private String rqrmntState ;

    private Date publishAt ;

    private Date deadline ;

    private String rqrmntName ;

    private Long viewTimes ;

    private int followCount ;

    public String getRqrmntState() {
        return rqrmntState;
    }

    public void setRqrmntState(String rqrmntState) {
        this.rqrmntState = rqrmntState;
    }

    public Date getPublishAt() {
        return publishAt;
    }

    public void setPublishAt(Date publishAt) {
        this.publishAt = publishAt;
    }

    public Date getDeadline() {
        return deadline;
    }

    public void setDeadline(Date deadline) {
        this.deadline = deadline;
    }

    public String getRqrmntName() {
        return rqrmntName;
    }

    public void setRqrmntName(String rqrmntName) {
        this.rqrmntName = rqrmntName;
    }

    public String getRqrmntSummary() {
        return rqrmntSummary;
    }

    public void setRqrmntSummary(String rqrmntSummary) {
        this.rqrmntSummary = rqrmntSummary;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getViewTimes() {
        return viewTimes;
    }

    public void setViewTimes(Long viewTimes) {
        this.viewTimes = viewTimes;
    }

    public int getFollowCount() {
        return followCount;
    }

    public void setFollowCount(int followCount) {
        this.followCount = followCount;
    }
}
